# Generated by Django 4.2.4 on 2023-08-13 17:11

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("csv_import", "0008_configurable_quotechar"),
    ]

    operations = [
        migrations.AddField(
            model_name="importjob",
            name="create",
            field=models.BooleanField(default=True, verbose_name="Create new objects if necessary"),
        ),
        migrations.AlterField(
            model_name="importtemplate",
            name="group_type",
            field=models.ForeignKey(
                blank=True,
                help_text="If imported objects are groups, they all will get this group type after import.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="core.grouptype",
                verbose_name="Group type",
            ),
        ),
        migrations.AlterField(
            model_name="importtemplate",
            name="name",
            field=models.CharField(max_length=255, verbose_name="Name"),
        ),
        migrations.AlterField(
            model_name="importtemplatefield",
            name="field_type",
            field=models.CharField(
                choices=[
                    ("match", ""),
                    ("connected_match", ""),
                    ("ignore", "Ignore data in this field"),
                    ("reg_ex", ""),
                    ("converter_reg_ex", ""),
                    ("converter_ignore_reg_ex", "Ignore data in this field"),
                    ("unique_reference", "Unique reference"),
                    ("name", "Name"),
                    ("first_name", "First name"),
                    ("last_name", "Last name"),
                    ("additional_name", "Additional name"),
                    ("short_name", "Short name"),
                    ("email", "Email"),
                    ("date_of_birth", "Date of birth"),
                    ("sex", "Sex"),
                    ("street", "Street"),
                    ("housenumber", "Housenumber"),
                    ("street_housenumber", "Street and housenumber"),
                    ("postal_code", "Postal code"),
                    ("place", "Place"),
                    ("phone_number", "Phone number"),
                    ("mobile_number", "Mobile number"),
                    ("departments", "Comma-seperated list of departments (short name of subjects)"),
                    (
                        "departments_name",
                        "Comma-seperated list of departments (long name of subjects)",
                    ),
                    ("group_subject_short_name", "Short name of the subject"),
                    ("class_range", "Class range (e. g. 7a-d)"),
                    ("primary_group_short_name", "Short name of the person's primary group"),
                    (
                        "primary_group_owner_short_name",
                        "Short name of an owner of the person's primary group",
                    ),
                    ("group_owner_short_name", "Short name of a single group owner"),
                    (
                        "group_owner_full_name",
                        "Full name of a single group owner (last name, first name)",
                    ),
                    (
                        "group_membership_short_name",
                        "Short name of the group the person is a member of",
                    ),
                    ("parent_group_short_name", "Short name of the group's parent group"),
                    ("member_of_by_name", "Name of a group the person is a member of"),
                    (
                        "child_by_unique_reference",
                        "Child by unique reference (from students import)",
                    ),
                    ("", ""),
                    ("avatar", ""),
                    ("photo", ""),
                ],
                max_length=255,
                verbose_name="Field type",
            ),
        ),
        migrations.AlterField(
            model_name="importtemplatefield",
            name="virtual_tmpl",
            field=models.TextField(
                blank=True,
                default="",
                verbose_name="Django template to generate virtual field from",
            ),
            preserve_default=False,
        ),
    ]
